| pktools 2.6.7 Processing Kernel for geospatial data

pkpolygonize

program to make vector file from raster image

## SYNOPSIS

`Usage: pkpolygonize -i input [-m mask] -o output`

``

`Options: [-f format] [-b band] [-n fieldname] [-nodata value]`

``

# Description

The utility pkpolygonize converts a raster to a vector dataset. All pixels in the mask band with a value other than zero will be considered suitable for collection as polygons. Use the same input file as mask to remove the background polygon (recommended).

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | Input image file
  m | mask | std::string |  | All pixels in the mask band with a value other than zero will be considered suitable for collection as polygons. Use input file as mask to remove background polygon!
  o | output | std::string |  | Output vector file
  f | f | std::string | SQLite | Output OGR file format
  b | band | int | 0 | the band to be used from input file
  nodata | nodata | double |  | Disgard this nodata value when creating polygons.
  n | name | std::string | DN | the field name of the output layer

Usage: pkpolygonize -i input [-m mask] -o output

# Examples

Some examples how to use pkpolygonize can be found here